ドキュメント

​
​

Development

User Acquisition

Monetization

産業

Application Linking API

v1

サポート対象
​

Application Linking API

v1

サポート対象
​

このページは選択した言語では使用できません。
Unity Services Web APIs
​
​
Application Linking
  • Overview
  • Deeplink Sharing Service
  • Unity Hub Activation Service
  • Unity Hub Activation Service - shortened URLs
  • URL Redirection Service
  • Authentication Service
  • Useful Links
  • About HTML redirection to external process
mdx:openapi:endpoints
  • Authentication Service
  • Deeplink Sharing Service
  • URL Redirection Service
  • Unity Hub Activation Service

Application Linking

Overview

The Application Linking API provides HTML pages and JSON endpoints to share authenticated data across Asset Manager applications.

Deeplink Sharing Service

The Deeplink Sharing Service allows you to save and fetch custom data structure through sharable URLs.

Unity Hub Activation Service

The Unity Hub Activation Service provides HTML pages to activate the Unity Hub and trigger a wide range of operations for local Unity projects:
  • create a new project
  • install a package
  • download an asset
  • forward a URL to a C# namespace deeplink handler
When applicable, fallback instructions are displayed in the HTML body of the response and provides an alternate clickable URL to support earlier versions of the Unity Editor.
Native apps and local processes are expected to use the unityhub://editor/* URL scheme directly to activate the Unity Hub without opening a browser, avoiding an additional confirmation prompt.

Unity Hub Activation Service - shortened URLs

All URLs supported by the Unity Hub Activation Service have a shortened version for easier sharing and usability.
  • https://link.unity.com/hub/project/*
  • https://link.unity.com/hub/editor/*
  • https://link.unity.com/hub/package-manager/*

URL Redirection Service

The URL Redirection service provides an endpoint that returns web application URLs for an Asset Manager Services deployment.

Authentication Service

The Authentication Service provides HTML pages and JSON endpoints that allow applications to initiate and complete browser-based sign-in flows with supported identity providers. Proof Key Code Exchange (PKCE)-compliant, it allows apps, web apps, and Command Line Interface (CLI) tools to acquire a JSON Web Token (JWT) for accessing Asset Manager and other Unity Cloud Services endpoints.

Useful Links

  • Unity Hub manual about deeplinking support for local projects
  • Unity Editor C# API about DeeplinkHandlerAttribute
  • Unity Cloud Deep Linking package documentation

About HTML redirection to external process

Please note that redirection from an HTML page to a native app or a local process always requires the user's confirmation to proceed.
Download OpenAPI specification:

Redirect the user to the authentication authority to initiate a login request.


Path parameters for "{title}"

redirectHint

string
必須
The redirect hint contains either an absolute HTTP URL, an HTTP loopback URL, a channel URL, or a custom scheme URL to activate the application that initiated the login action.

authenticationDomain

string
必須
The URL-encoded authentication domain to redirect the user for manual authentication as part of the login process.

processId

string
A unique processId identifying a running application on the device.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://staging.services.api.unity.com/app-linking/v1/login/redirect/{redirectHint}/{authenticationDomain}/{processId}"

Response example

"string"

Redirect the user who has signed out to the application that initiated the sign out action.


Path parameters for "{title}"

redirectHint

string
必須
The redirect hint contains either an absolute HTTP URL, an HTTP loopback URL, a channel URL or a custom scheme URL to activate the application that initiated the signout action.

processId

string
A unique processId identifying a running application on the device.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://staging.services.api.unity.com/app-linking/v1/signout/completed/{redirectHint}/{processId}"

Response example

"string"

Redirect the unique shared link to an installed application destination.


Path parameters for "{title}"

redirectHint

string
必須
The redirect hint contains the custom URI scheme that uiquely identifies an application on a device.

token

string
必須
Unique application link for a resource id, a resource type, and query parameters.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://staging.services.api.unity.com/app-linking/v1/link/{redirectHint}/{token}"

Response example

"string"

Create a unique channel identifier.


Request body for "{title}"

Media Type:
application/json

AppName

string
The name of the application making the channel request.

Request

string
The action requesting a channel response from an external process. An action can be common for different external processes. External processes are expected to support more than one action

RequestData

object
The channel request parameters.

Content

string
The serialized json body of the parameters for the request.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Content-Type: application/json" \ -d '{ "AppName": "string", "Request": "string", "RequestData": { "Content": "string" }}' \ "https://staging.services.api.unity.com/app-linking/v1/channels"

Response example

{ "Id": "string"}

Update a response in a uniquely identified channel.


Path parameters for "{title}"

channelId

string
必須
Unique channel identifier.

Request body for "{title}"

Media Type:
application/json

Response

string
The response to the request. The value 'unauthorized' can be returned as a response if the request processor cannot authenticate the user making the request.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X PUT \ -H "Content-Type: application/json" \ -d '{ "Response": "string"}' \ "https://staging.services.api.unity.com/app-linking/v1/channels/{channelId}"

Response example

Get the request and the request response of a uniquely identified channel.


Path parameters for "{title}"

channelId

string
必須
Unique channel identifier.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://staging.services.api.unity.com/app-linking/v1/channels/{channelId}"

Response example

{ "Id": "string", "Request": {}, "Response": "string"}

Get the resource id, resource type, and query parameters of an application link token.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Path parameters for "{title}"

linkToken

string
必須
Unique token to retrieve the resource id, resource type, and query parameters of an application link.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: Bearer <YOUR_TOKEN>" \ "https://staging.services.api.unity.com/app-linking/v1/links/{linkToken}"

Response example

{ "ResourceId": "string", "ResourceType": "string", "QueryArguments": "string"}

Create a unique application link token for a resource id, a resource type, and query parameters.


Authorizations
Bearer
HTTP: Bearer
HTTP Authorization Scheme: bearer

Request body for "{title}"

Media Type:
application/json

ResourceId

string
The Resource Identifier.

ResourceType

string
The Resource Type: Project, Asset, Dataset or NotSupported.

QueryArguments

string
A URL query parameters formatted string.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Bearer <YOUR_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "ResourceId": "string", "ResourceType": "string", "QueryArguments": "string"}' \ "https://staging.services.api.unity.com/app-linking/v1/links"

Response example

{ "Url": "string"}

Get the absolute base URL of web applications supported on the current service provider.


HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://staging.services.api.unity.com/app-linking/v1/web-app-urls"

Response example

{ "docs": "string", "asset-manager": "string"}

Activate the Unity Hub with the intention to select a local project to download an asset or install a unity package.




Shortened URL:
https://link.unity.com/hub/package-manager/{assetTypeAction}/{assetIdentifier}

Path parameters for "{title}"

assetTypeAction

string
必須
Use '/download/' segment value for an asset store asset, and use '/install/' segment value for a unity package.

assetIdentifier

string
必須
Use the numeric asset identifier segment value for an asset store asset (ex: '/475680'), and use the namespace of the unity package (ex: '/com.unity.cloud.assets') or with an optional version (ex: '/com.unity.cloud.assets@1.10.0') as the segment value for unity packages.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://staging.services.api.unity.com/app-linking/v1/hub/package-manager/{assetTypeAction}/{assetIdentifier}"

Response example

"string"

Activate the Unity Hub with the intention to display the 'Create new project' interface.




Shortened URL:
https://link.unity.com/hub/project/new

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://staging.services.api.unity.com/app-linking/v1/hub/project/new"

Response example

"string"

Activate the Unity Hub with the intention to open the package manager in a newly created local project.


Once the local project is created and opened in the Unity Editor, display the package manager to install a package or download an asset.

Shortened URL:
https://link.unity.com/hub/project/new/package-manager/{assetTypeAction}/{assetIdentifier}

Path parameters for "{title}"

assetTypeAction

string
必須
Use '/download/' segment value for asset store asset, and use '/install/' segment value for unity packages.

assetIdentifier

string
必須
Use the numeric asset identifier segment value for an asset store asset (ex: '/475680'), and use the namespace of the unity package (ex: '/com.unity.cloud.assets') or with an optional version (ex: '/com.unity.cloud.assets@1.10.0') as the segment value for unity packages.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://staging.services.api.unity.com/app-linking/v1/hub/project/new/package-manager/{assetTypeAction}/{assetIdentifier}"

Response example

"string"

Activate the Unity Hub with the intention to open the package manager of a local project linked to the specified cloud project.


Once the local project is activated in the Unity Editor, display the package manager to install a package or download an asset.

Shortened URL:
https://link.unity.com/hub/project/{cloudProjectId}/package-manager/{assetTypeAction}/{assetIdentifier}

Path parameters for "{title}"

cloudProjectId

string
必須
The connected cloud project id to look for in the local project list.

assetTypeAction

string
必須
Use '/download/' segment value for asset store asset, and use '/install/' segment value for unity packages.

assetIdentifier

string
必須
Use the numeric asset identifier segment value for an asset store asset (ex: '/475680'), and use the namespace of the unity package (ex: '/com.unity.cloud.assets') or with an optional version (ex: '/com.unity.cloud.assets@1.10.0') as the segment value for unity packages.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://staging.services.api.unity.com/app-linking/v1/hub/project/{cloudProjectId}/package-manager/{assetTypeAction}/{assetIdentifier}"

Response example

"string"

Activate the Unity Hub with the intention to forward a URL to a user selected local project in a Unity Editor.




Shortened URL:
https://link.unity.com/hub/editor/{handlerNamespace}/{customSegmentValue1}/{customSegmentValue2}/{customSegmentValue3}/{customSegmentValue4}

Path parameters for "{title}"

handlerNamespace

string
必須
The C# handler namespace of a DeeplinkHandlerAttribute decorated method to receive the URL for processing.

customSegmentValue1

string
必須
Any custom URL route segment value.

customSegmentValue2

string
Any custom URL route segment value.

customSegmentValue3

string
Any custom URL route segment value.

customSegmentValue4

string
Any custom URL route segment value.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://staging.services.api.unity.com/app-linking/v1/hub/editor/{handlerNamespace}/{customSegmentValue1}/{customSegmentValue2}/{customSegmentValue3}/{customSegmentValue4}"

Response example

"string"

Activate the Unity Hub with the intention to forward a URL to a local project linked to the specified cloud project.




Shortened URL:
https://link.unity.com/hub/project/{cloudProjectId}/{handlerNamespace}/{customSegmentValue1}/{customSegmentValue2}/{customSegmentValue3}/{customSegmentValue4}

Path parameters for "{title}"

cloudProjectId

string
必須
The connected cloud project id to look for in the local project list.

handlerNamespace

string
必須
The C# handler namespace of a DeeplinkHandlerAttribute decorated method to receive the URL for processing.

customSegmentValue1

string
必須
Any custom URL route segment value.

customSegmentValue2

string
Any custom URL route segment value.

customSegmentValue3

string
Any custom URL route segment value.

customSegmentValue4

string
Any custom URL route segment value.

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ "https://staging.services.api.unity.com/app-linking/v1/hub/project/{cloudProjectId}/{handlerNamespace}/{customSegmentValue1}/{customSegmentValue2}/{customSegmentValue3}/{customSegmentValue4}"

Response example

"string"

Copyright © 2026 Unity Technologies
法規事項プライバシーポリシークッキーDocumentation Terms of Use私の個人情報を販売または共有しないプライバシーに関する選択 (クッキー設定)

"Unity" の名称、Unity のロゴ、およびその他の Unity の商標は、米国およびその他の国における Unity Technologies またはその関係会社の商標または登録商標です (詳しくはこちら)。その他の名称またはブランドは該当する所有者の商標です。

一部のページは利便性向上のため機械翻訳を使用しており、内容に不正確な表現が含まれる場合があります。内容に齟齬または不一致が生じた場合は、英語版を正本とします。